package fr.mrdev023.vulkan_java.vk.loggers;

import fr.mrdev023.vulkan_java.vk.validators.DeviceExtensionsValidator;

public class DeviceExtensionsResultLogger {
    public static void log(DeviceExtensionsValidator.Result result) {
        ScopedLogger.pushScope("Device Extensions (Is suitable: {})", result.isSuitable);
        ScopedLogger.log("Matching extensions: {}", result.matchingExtensions);
        ScopedLogger.log("Missing extensions: {}", result.missingExtensions);
        ScopedLogger.popScope();
    }
}
